## org.gnu.pango
Class FontMetrics

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.pango.FontMetrics

public class FontMetrics
extends Boxed

A FontMetrics structure holds the overall metric information for a font (possibly restricted to a script).

Constructor Summary
`FontMetrics(FontMetrics orig)`

Method Summary
`int` `getApproximateCharWidth()` Gets the approximate character width for the font metrics.
`int` `getApproximateDigitWidth()` Gets the approximate digit width for the font metrics.
`int` `getAscent()` Gets the ascent from the font metrics.
`int` `getDescent()` Gets the descent from the font metrics.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontMetrics

    public FontMetrics(FontMetrics orig)

Method Detail

### getAscent

    public int getAscent()

  Gets the ascent from the font metrics. The ascent is the distance from the baseline to the logical top of a line of text. (The logical top may be above or below the top of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)

### getDescent

    public int getDescent()

  Gets the descent from the font metrics. The descent is the distance from the baseline to the logical bottom of a line of text. (The logical bottom may be above or below the bottom of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)

### getApproximateCharWidth

    public int getApproximateCharWidth()

  Gets the approximate character width for the font metrics. This is merely a representative value useful, for example, for determining the initial size for a window. Actual characters in text will be wider and narrower than this.

### getApproximateDigitWidth

    public int getApproximateDigitWidth()

  Gets the approximate digit width for the font metrics. This is merely a representative value useful, for example, for determining the initial size for a window. Actual digits in text can be wider and narrower than this.